<h1>Découvrir les ingrédients des algorithmes.</h1>


<h2>Un parcours pour s'initier à la programmation.</h2>
Ce parcours permet de s'approprier les cinq ingrédients des algorithmes.


<ul>
	<li>Utiliser des <a href="tutoriel.html" target="_blank">séquences
			d'instructions</a>.
	</li>
	<li>Apprendre à se servir de <a href="variables.html"
		target="_blank">variables</a>.
	</li>
	<li>Découvrir l'instruction <a href="condition.html"
		target="_blank">conditionnelle</a>.
	<li>Se familiariser avec les <a href="fonctions.html"
		target="_blank">fonctions</a>.
	</li>
	<li>Programmer avec des <a href="boucles.html" target="_blank">boucles</a>.
	</li>
</ul>

<h2>La différence entre une machine à café et un ordinateur.</h2>
<p>Nous savons qu'un ordinateur peut effectuer des opérations très
	variées sur des types de données très variées, c'est une machine
	complètement polyvalente : tous les automatismes peuvent être
	programmés sur un ordinateur, . . à l'inverse des machines à café ou
	des machines à laver, qui servent à une seule chose. Mais si la machine
	à café peut "mécaniquement" faire le café dès sa sortie de l'usine, un
	ordinateur ne sait quasiment rien faire. Un ordinateur doit "être
	programmé" pour retoucher une photo, la mettre sur un blog ou un site
	web, ... C'est pour cela que les ordinateurs ont besoin de programmes.
</p>
<p>Ce qui est vraiment remarquable c'est que tous les programmes du
	monde peuvent s'écrire à partir de cinq ingrédients et nous allons
	découvrir ces ingrédients, ici, à partir d'un exemple très concret.
	Nous saurons alors programmer tous les algorithmes du monde.</p>


<h2>Des documents (sur le web) pour apprendre et se cultiver sur le
	sujet.</h2>
<ul>
	<li>Le poly de cours pour <a
		href="http://interstices.info/ingredients-algorithmes">découvrir
			les ingrédients des algorithmes</a> avec un <a class="editor"
		href="code/laRecetteDAriane.jvs">exemple de programme</a> qui s'amuse
		à détourner la métaphore des "ingrédients des algoritmes"
	</li>
	<li>Un petit <a
		href="http://www-sop.inria.fr/science-participative/film">film
			condensé d'histoire de l'informatique</a> permet de se cultiver sur le
		domaine, il est doté d'un <a
		href="http://www-sop.inria.fr/science-participative/film/livret.pdf">livret</a>.
	</li>
	<li>Les documents <a
		href="http://interstices.info/algo-mode-emploi">Algorithme mode
			d'emploi</a> et <a href="http://interstices.info/demandez-le-programme">Demandez
			le programme</a> offrent une introduction à l'élève ce sujet.
	</li>
	<li>Voici deux autres exemples de <a href="code/jeu-de-l-oie.jvs">jeu
			de l'oie</a> et de <a href="code/bataille-navale.jvs">bataille navale</a>.
	</li>
</ul>